QGIS Application - Bug report #9536
Impossible to insert dates in Oracle
2014-02-11 03:30 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18124
Description

The error is:

SQL: ORA-01843: not a valid month

Impossibile eseguire I'istruzione

Errore: INSERT INTO
"QGIS_TEST"."ZONA_RECUPEROQ"("SHAPE","VINCSIDE","VINCSCODTI","CODTIPCART","VINSSUPERF","LEGIDESTAR","
INCSDATAI","VINCSDATAF","LEGIDESTOP","GEOLINK")
VALUES (f,'23005869',NULL,NULL,NULL,NULL,'14/04/2014','31/12/2999',NULL,NULL) "

If we use to_date('2007/05/31",'YYYY/MM/DD') instead, the INSERT goes well.

It seems that the user should be able to specify the date format also on the client side, in order to have a more flexible data entry.

History

#1 - 2014-02-11 11:48 PM - Jukka Rahkonen

Oracle time formats are mysterious, but it could be worth trying if setting "NLS_DATE_FORMAT" environment parameter would help. See
http://docs.oracle.com/cd/B19306_01/server.102/b14237/initparams122.htm
Similarly getting national characters to work correctly can be painful and it may be necessary to set NLS_LANG parameter

http://docs.oracle.com/html/B13531_01/ap_b.htm instead of using the defaults.

#2 - 2014-02-12 01:23 AM - Jiirgen Fischer

provider side fixed in commit:3b438e22. Editing dates still requires support in the edit widgets (using the calendar widget should work; perhaps there could

also be support for QDate/TimeEdit).

#3 - 2014-02-12 01:23 AM - Jiirgen Fischer

- Assignee deleted (Jirgen Fischer)

#4 - 2014-06-16 11:29 PM - Jiirgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Jurgen Fischer wrote:

provider side fixed in commit:3b438e22. Editing dates still requires support in the edit widgets (using the calendar widget should work; perhaps
http://docs.oracle.com/cd/B19306_01/server.102/b14237/initparams122.htm
http://docs.oracle.com/html/B13531_01/ap_b.htm

there could also be support for QDate/TimeEdit).

Editor widgets now have that.
